<?php 


if($_POST['ajax'] == "add_shop"){
	$name = $_POST['shop_name'];
	$url = $_POST['shop_domain'];
	$game = $_POST['shop_game'];
	
	if($name && $url && $game){
		if(!$this->checkShop($url)){
			if($shopid = $this->createShop($name, $url, $game)){
				$public_key = md5(md5(md5(time().$shopid)."maksa988"));
				$public_key = $public_key{1}.$public_key{2}.$public_key{3}.$public_key{4}.$public_key{5}."-".$shopid;
				$secret_key = md5(md5(md5(time().$shopid)."maksa988"));
				$this->editShop("`shop_public_key` = '{$public_key}', `shop_secret_key` = '{$secret_key}'", $shopid);
				$result['file'] = $public_key.".txt";
				$result['code'] = md5($public_key.$shopid);
				$result['success'] = 'Проект успешно добавлен.';
				$result['status'] = 1;
				$result['shopid'] = $shopid;
			} else {
				$result['error'] = 'При добавлении проекта произошла ошибка. Повторите попытку!';
				$result['status'] = 0;
			}
		} else {
			$result['error'] = 'Проект с таким <b>доменным именем</b> уже добавлен.';
			$result['status'] = 0;
		}
	} else {
		$result['error'] = 'Все поля обязательны к заполнению!';
		$result['status'] = 0;
	}

	$array = json_encode($result);
	exit($array);
} elseif($_POST['ajax'] == "check_shop"){
	$shopid = (int)$_POST['shop_id'];

	if($shopid){
		if($shop = $this->getShopByID((int)$shopid)){
			if($check = @file_get_contents("http://".$shop['shop_domain']."/".$shop['shop_public_key'].".txt")){
				if($check == md5($shop['shop_public_key'].$shopid)){
					$result['success'] = 'Проект успешно добавлен.';
					$result['status'] = 1;
					$result['shopid'] = $shopid;
				} else {
					$result['error'] = 'Код в вашем файле не совпадает с требуемым!';
					$result['status'] = 0;
				}
			} else {
				$result['error'] = 'Файл <b>'.$shop["shop_public_key"].'.txt</b> не найден!';
				$result['status'] = 0;
			}
		} else {
			$result['error'] = 'Проект не найден!';
			$result['status'] = 0;
		}
	} else {
		$result['error'] = 'Не отправлен обязательный параметр!';
		$result['status'] = 0;
	}
	$array = json_encode($result);
	exit($array);
}

$this->view(array("theme/_common/_header", "theme/project/new", "theme/_common/_footer"), array("user" => $this->user, "shops" => $this->shops, "shop" => $shop, "result" => $result)); 